メインコンテンツへスキップ
POST
/
conversations
/
v3
/
custom-channels
/
{channelId}
/
messages
Publish a message
curl --request POST \
  --url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attachments": [
    {
      "fileId": "<string>",
      "type": "FILE"
    }
  ],
  "channelAccountId": "<string>",
  "recipients": [
    {
      "deliveryIdentifier": {
        "value": "<string>"
      },
      "name": "<string>",
      "senderActorId": "<string>"
    }
  ],
  "senders": [
    {
      "deliveryIdentifier": {
        "value": "<string>"
      },
      "name": "<string>",
      "senderActorId": "<string>"
    }
  ],
  "text": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "associateWithContactId": 123,
  "inReplyToId": "<string>",
  "integrationIdempotencyId": "<string>",
  "integrationThreadId": "<string>",
  "richText": "<string>"
}
'
import requests

url = "https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/messages"

payload = {
    "attachments": [
        {
            "fileId": "<string>",
            "type": "FILE"
        }
    ],
    "channelAccountId": "<string>",
    "recipients": [
        {
            "deliveryIdentifier": { "value": "<string>" },
            "name": "<string>",
            "senderActorId": "<string>"
        }
    ],
    "senders": [
        {
            "deliveryIdentifier": { "value": "<string>" },
            "name": "<string>",
            "senderActorId": "<string>"
        }
    ],
    "text": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "associateWithContactId": 123,
    "inReplyToId": "<string>",
    "integrationIdempotencyId": "<string>",
    "integrationThreadId": "<string>",
    "richText": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    attachments: [{fileId: '<string>', type: 'FILE'}],
    channelAccountId: '<string>',
    recipients: [
      {
        deliveryIdentifier: {value: '<string>'},
        name: '<string>',
        senderActorId: '<string>'
      }
    ],
    senders: [
      {
        deliveryIdentifier: {value: '<string>'},
        name: '<string>',
        senderActorId: '<string>'
      }
    ],
    text: '<string>',
    timestamp: '2023-11-07T05:31:56Z',
    associateWithContactId: 123,
    inReplyToId: '<string>',
    integrationIdempotencyId: '<string>',
    integrationThreadId: '<string>',
    richText: '<string>'
  })
};

fetch('https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/messages', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "archived": true,
  "attachments": [
    {
      "fileId": "<string>",
      "type": "FILE",
      "name": "<string>",
      "url": "<string>"
    }
  ],
  "channelAccountId": "<string>",
  "channelId": "<string>",
  "client": {
    "integrationAppId": 123
  },
  "conversationsThreadId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "id": "<string>",
  "recipients": [
    {
      "deliveryIdentifier": {
        "value": "<string>"
      },
      "actorId": "<string>",
      "name": "<string>",
      "recipientField": "<string>"
    }
  ],
  "senders": [
    {
      "actorId": "<string>",
      "deliveryIdentifier": {
        "value": "<string>"
      },
      "name": "<string>",
      "senderField": "<string>"
    }
  ],
  "text": "<string>",
  "type": "MESSAGE",
  "inReplyToId": "<string>",
  "richText": "<string>",
  "status": {
    "failureDetails": {
      "errorMessageTokens": {},
      "errorMessage": "<string>"
    }
  },
  "subject": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

channelId
integer<int32>
必須

The ID of the channel.

ボディ

application/json
attachments
(FILE · object | LOCATION · object | CONTACT · object | UNSUPPORTED_CONTENT · object | MESSAGE_HEADER · object | QUICK_REPLIES · object | SOCIAL_MEDIA_METADATA · object)[]
必須
channelAccountId
string
必須
messageDirection
enum<string>
必須
利用可能なオプション:
INCOMING,
OUTGOING
recipients
object[]
必須
senders
object[]
必須
text
string
必須
timestamp
string<date-time>
必須
associateWithContactId
integer<int64>
inReplyToId
string
integrationIdempotencyId
string
integrationThreadId
string
preResolvedContacts
object
richText
string

レスポンス

successful operation

archived
boolean
必須
attachments
(FILE · object | LOCATION · object | CONTACT · object | UNSUPPORTED_CONTENT · object | MESSAGE_HEADER · object | QUICK_REPLIES · object | WHATSAPP_TEMPLATE_METADATA · object | SOCIAL_MEDIA_METADATA · object)[]
必須
channelAccountId
string
必須
channelId
string
必須
client
object
必須
conversationsThreadId
string
必須
createdAt
string<date-time>
必須
createdBy
string
必須
direction
enum<string>
必須
利用可能なオプション:
INCOMING,
OUTGOING
id
string
必須
recipients
object[]
必須
senders
object[]
必須
text
string
必須
truncationStatus
enum<string>
必須
利用可能なオプション:
NOT_TRUNCATED,
TRUNCATED,
TRUNCATED_TO_MOST_RECENT_REPLY
type
enum<string>
デフォルト:MESSAGE
必須
利用可能なオプション:
MESSAGE
inReplyToId
string
richText
string
status
object
subject
string
updatedAt
string<date-time>
最終更新日 2026年4月10日